This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1066357 - (CVE-2013-4531) CVE-2013-4531 qemu: target-arm/machine.c: fix buffer overflow on invalid state load
CVE-2013-4531 qemu: target-arm/machine.c: fix buffer overflow on invalid stat...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131203,repor...
: Security
Depends On: 1095724 1095725 1095726
Blocks: 1036654
  Show dependency treegraph
 
Reported: 2014-02-18 04:41 EST by Petr Matousek
Modified: 2015-10-27 23:39 EDT (History)
26 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-22 07:32:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2014-02-18 04:41:08 EST
cpreg_vmstate_indexes is a VARRAY_INT32. A negative value for
cpreg_vmstate_array_len will cause a buffer overflow.

An user able to alter the savevm data (either on the disk or over the wire
during migration) could use this flaw to to corrupt QEMU process memory on
the (destination) host, which could potentially result in arbitrary code
execution on the host with the privileges of the QEMU process.

Upstream fix:
-------------
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=d2ef4b61fe6d33d2a5dcf100a9b9440de341ad62
Comment 1 Petr Matousek 2014-02-18 06:19:56 EST
Statement:

Not vulnerable.

This issue does not affect the versions of kvm package as shipped with
Red Hat Enterprise Linux 5.

This issue does not affect the versions of qemu-kvm package as shipped
with Red Hat Enterprise Linux 6
Comment 3 Prasad J Pandit 2014-05-08 08:32:20 EDT
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1095724]
Comment 5 Fedora Update System 2014-05-16 05:59:47 EDT
qemu-1.6.2-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.